Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# pip inspect

Added in version 22.2.

## Usage

Unix/macOS

    python -m pip inspect [options]

Windows

    py -m pip inspect [options]

## Description

Inspect the content of a Python environment and produce a report in JSON format.

The format of the JSON output is described in pip inspect JSON output specification.

## Options

--local

  If in a virtualenv that has global access, do not list globally-installed packages.

  (environment variable: `PIP_LOCAL`)

--user

  Only output packages installed in user-site.

  (environment variable: `PIP_USER`)

--path <path>

  Restrict to the specified installation path for listing packages (can be used multiple times).

  (environment variable: `PIP_PATH`)